#!/bin/bash

# ========================= #
#  Power Management Script  #
# ========================= #
#
clear
function countdown() # funkce pro odpočet času
{
    start="$(( $(date '+%s') + $1))"
    while [ $start -ge $(date +%s) ]; do
        time="$(( $start - $(date +%s) ))"
        printf '%s\r' "$(date -u -d "@$time" +%S)"
        sleep 0.1
    done
}

echo""
# ------------------- uvítací text ---------------------------------
echo -e "\e[34m------------------------------------------ \e[0m"
echo -e "\e[34m * WELCOME TO POWER MANAGEMENT * \e[0m"
echo -e "\e[34m------------------------------------------ \e[0m"
# -------------------   nabídka    ---------------------------------
echo -e "Press: [S] for: SHUTDOWN"
echo -e "       [R]      REBOOT"
echo -e "       [B]      REBOOT TO BIOS"
echo -e "       [U]      SUSPEND"
echo -e "       [H]      HALT"
echo -e "       [W]      WAKE-UP"
echo -e "       [X]      Exit"
echo -e "\e[34m---------------------------------- \e[0m"
echo -n "Choice: "
read odpoved
echo
case "$odpoved" in
      s)
       clear
       echo -e "\e[34m---------------------------------- \e[0m"
       echo -e "\e[34mShutdown system in: \e[0m"
       echo -e "\e[34m---------------------------------- \e[0m"
       sleep 1; countdown 10; echo ""
       echo -e "\e[34m* I TURN IT OFF *\e[0m"
       paplay /home/User/zvuky/shutdown.ogg
       sleep 1; shutdown -h now
       ;;
      r)
       clear
       echo -e "\e[34m---------------------------------- \e[0m"
       echo -e "\e[34mReboot system in: \e[0m"
       echo -e "\e[34m---------------------------------- \e[0m"
       sleep 1; countdown 10; echo ""
       echo -e "\e[34m* I REBOOT *\e[0m"
       paplay /home/User/zvuky/shutdown.ogg
       sleep 1; reboot
       ;;
      b)
       clear
       echo -e "\e[34m---------------------------------- \e[0m"
       echo -e "\e[34mReboot system to BIOS in: \e[0m"
       echo -e "\e[34m---------------------------------- \e[0m"
       sleep 1; countdown 10; echo ""
       echo -e "\e[34m* I REBOOT TO BIOS*\e[0m"
       paplay /home/User/zvuky/shutdown.ogg
       sleep 1; systemctl reboot --firmware-setup
       ;;
      u)
       clear
       echo -e "\e[34m---------------------------------- \e[0m"
       echo -e "\e[34mSuspend system in: \e[0m"
       echo -e "\e[34m---------------------------------- \e[0m"
       sleep 1; countdown 10; echo ""
       echo -e "\e[34m* I GO TO SLEEP *\e[0m"
       paplay /home/User/zvuky/shutdown.ogg
       sleep 1; systemctl suspend
       ;;
      h)
       clear
       echo -e "\e[34m---------------------------------- \e[0m"
       echo -e "\e[34mHalt system in: \e[0m"
       echo -e "\e[34m---------------------------------- \e[0m"
       sleep 1; countdown 10; echo ""
       echo -e "\e[34m* I'M HALTING *\e[0m"
       paplay /home/User/zvuky/shutdown.ogg
       sleep 1; halt
       ;;
      x)
       clear; sleep 2; exit
       ;;
      w)
        clear
        bash wake-up.sh
        ;;
esac

